Summary:	A USENET newsreader for GNOME
Name:		pan
Version:	0.139
Release:	%mkrel 2
Epoch:		1
License:	GPLv2+
Group:		Networking/News
URL:		http://pan.rebelbase.com/
Source0:	http://pan.rebelbase.com/download/releases/%{version}/source/%{name}-%{version}.tar.bz2
Patch02:	02_windowsmacosx.dpatch
Source2:	%{name}-32.png
Source3:	%{name}-16.png
Source4:	%{name}-48.png
BuildRequires:	pkgconfig(enchant) >= 1.6.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gmime-2.6) >= 2.5.5
BuildRequires:	pkgconfig(gnome-keyring-1) >= 3.2.0
BuildRequires:	pkgconfig(gnutls) >= 2.12.10
BuildRequires:	pkgconfig(gtkspell-2.0) >= 2.0.7
BuildRequires:	pkgconfig(libnotify) >= 0.4.1
BuildRequires:	glib2-devel >= 2.17.6
BuildRequires:	desktop-file-utils
BuildRequires:	intltool

%description
This is PAN, a powerful and user-friendly USENET newsreader for GNOME.  

%prep
%setup -q
%patch02 -p1

%build
%configure2_5x \
	--without-gtk3 \
	--without-gnutls \
	--with-dbus \
	--with-gmime-crypto \
	--with-gtkspell \
	--enable-libnotify \
	--enable-gkr
%make

%install
%makeinstall_std Productivitydir=%{_datadir}/applications/

%find_lang %{name}

# Menu
sed -i -e 's/^\(Icon=.*\).png$/\1/g' %{buildroot}%{_datadir}/applications/pan.desktop 

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GTK" \
	--add-category="News" \
	--add-category="Network" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

#icon
install -Dm0644 %{SOURCE2} %{buildroot}/%{_iconsdir}/%{name}.png
install -Dm0644 %{SOURCE3} %{buildroot}/%{_miconsdir}/%{name}.png
# png is anti-aliased when put on the gnome panel
install -Dm0644 %{SOURCE4} %{buildroot}/%{_liconsdir}/%{name}.png

%files -f %{name}.lang
%doc README ChangeLog AUTHORS
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:0.139-2.mga3
+ Revision: 362379
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 wally <wally> 1:0.139-1.mga3
+ Revision: 327152
- new version 0.139
- change description
- drop unneeded str fmt patch
- clean .spec

* Thu Nov 15 2012 fwang <fwang> 1:0.137-1.mga3
+ Revision: 318109
- cleanup spec

  + ovitters <ovitters>
    - new version 0.137
    - clean spec
    - clean spec

  + wally <wally>
    - rebuild for new gmime

* Sun Jun 19 2011 kharec <kharec> 1:0.135-1.mga2
+ Revision: 109853
- new version

* Fri Feb 25 2011 ennael <ennael> 1:0.134-1.mga1
+ Revision: 59421
- clean spec file
- imported package pan

